Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Cannot select specific version when using variables for package feed #5542

Closed
matt-richardson opened this issue May 7, 2019 · 2 comments

Comments

@matt-richardson
Copy link
Contributor

commented May 7, 2019

Prerequisites

  • I have verified the problem exists in the latest version
  • I have searched open and closed issues to make sure it isn't already reported
  • I have written a descriptive issue title
  • I have linked the original source of this report
  • I have tagged the issue appropriately (area/*, kind/bug, tag/regression?)

The bug

When using dynamic feeds (ie, using a bound variable for the package feed), and all variables are scoped, it is not possible to select the "Specific Version" option button for a package on the "Create Release" Screen.

image

image

The "Specific Version" radio button cannot be selected, and typing into the "Enter a version" field has no effect:
ft0X4Dp3LI

What I expected to happen

I expect to be able to select a specific version.

Steps to reproduce

  1. Create a project with a script step that uses a bound variable to reference the package feed
  2. Add a variable for the package feed, and scope all values to an environment
  3. Create a release
    -> See error

Affected versions

Looks like its been around a long while.

Workarounds

Make one of the variable values unscoped - it will be overridden by the other scopes in other environments.

image

Links

source: https://help.octopus.com/t/octopus-issue-dynamic-feed-version-selection-not-working/22839
potentially related: #3721

@octoreleasebot

This comment has been minimized.

Copy link

commented May 8, 2019

Release Note: Fixed an issue preventing the selection of the Specific Version radio button when using variables for the package feed

@lock

This comment has been minimized.

Copy link

commented Aug 6, 2019

This thread has been automatically locked since there has not been any recent activity after it was closed. If you think you've found a related issue, please contact our support team so we can triage your issue, and make sure it's handled appropriately.

@lock lock bot locked as resolved and limited conversation to collaborators Aug 6, 2019
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
2 participants
You can’t perform that action at this time.